<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>Nuevo auto</ion-title>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/mis-autos"></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-list class="ion-padding">
    <ion-item (click)="openModalColor()">
      <ion-icon name="color-palette-outline" slot="start"></ion-icon>
      <ion-label>{{colorTxt}}</ion-label>
      <ion-icon name="ellipse" [style.color]="auto.color" slot="end"></ion-icon>
    </ion-item>
    <ion-item (click)="openModalMarca()" >
      <ion-icon name="car-sport-outline" slot="start"></ion-icon>
      <ion-label>{{(auto.brand !== '') ? auto.brand : 'Selecciona la marca de tu auto'}}</ion-label>
    </ion-item>
    <ion-item (click)="openModalModelo()" >
      <ion-icon name="car-sport-outline" slot="start"></ion-icon>
      <ion-label>{{(auto.car_model !== '') ? auto.car_model : 'Selecciona el modelo de tu auto'}}</ion-label>
    </ion-item>
    <ion-item>
      <ion-input [(ngModel)]="auto.license_plates" label="Placa" label-placement="floating" fill="outline" type="text"
        placeholder="123-QWE"></ion-input>
      <ion-icon name="id-card-outline" slot="start"></ion-icon>
    </ion-item>
    <ion-item>
      <ion-icon name="calendar-outline" slot="start"></ion-icon>
      <ion-select placeholder="Año" [(ngModel)]="auto.year">
        <ion-select-option  placeholder="Año" *ngFor="let year of years" [value]="year"> {{year}}
        </ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-input [(ngModel)]="auto.nickname" label-placement="floating" fill="outline" labe="Apodo" type="text"
        placeholder="Alias"></ion-input>
      <ion-icon name="car-outline" slot="start"></ion-icon>
    </ion-item>
    <ion-item (click)="setFav()">
      <ion-label> Favorito </ion-label>
      <ion-icon *ngIf="!auto.favorite" name="star-outline" slot="start"></ion-icon>
      <ion-icon *ngIf="auto.favorite" name="star" color="warning" slot="start"></ion-icon>
    </ion-item>
    <ion-item>
      <ion-select [(ngModel)]="auto.fuel"  placeholder="Tipo de combustible" >
        <ion-select-option value="Regular">Regular</ion-select-option>
        <ion-select-option value="Premium">Premium</ion-select-option>
        <ion-select-option value="Diesel">Diesel</ion-select-option>
      </ion-select>
      <ion-icon name="flame-outline" slot="start"></ion-icon>
    </ion-item>
    <ion-item (click)="openModalEstado()">
      <ion-icon name="location-outline" slot="start"></ion-icon>
      <ion-label>{{(auto.state !== '') ? auto.state : 'Selecciona el estado' }} </ion-label>
    </ion-item>
  </ion-list>
  <div style="position: absolute; right: 0; z-index:1; bottom: 3%;; width: 100%; text-align: center;">
    <ion-button (click)="guardar()">
      <ion-icon name="save-outline" slot="start"></ion-icon>
      Guardar
    </ion-button>
  </div>
</ion-content>
